/* ttxtin.c exercises txtinput.c and ggets via a text file */
/* It attempts to skip all blank space, read an integer
 * via readxint, then displays the result, the error, and
 * any remaining data on the line as a string.
 */

 #include <stdio.h>
 #include <stdlib.h>     /* free */
 #include "stdops.h"     /* bool */
 #include "txtinput.h"   /* readxint, skipwhite */
 #include "ggets.h"      /* ggets */

 int main(void)
 {
    int  ch;
    char *ln;
    bool err;
    int  val;
    char *ok = "OK ";
    char *erm = "ERR";

    while (EOF != (ch = getc(stdin))) {
       ungetc(ch, stdin);
       skipwhite(stdin);
       err = readxint(&val, stdin);
       printf("%12d %s", val, err ? erm : ok);
       ch = ggets(&ln);
       if (ln) {
          puts(ln);
          free(ln);
       }
       else {
          printf(" (ggets returned %d)\n", ch);
       }
    }
    return 0;
 } /* main */
 /* End of ttxtio.c */
